Subject: [bug#57122] [PATCH] build-system: emacs: Use new function for autoloads generation

From: Morgan Smith <[email-masked]>
Date: Wed, 10 Aug 2022 19:12:35 -0400

Liliana Marie Prikler <[email-masked]> writes:

> Can we instead use make-directory-autoloads or has that also been
> deprecated in 29?  make-directory-autoloads exists since Emacs 28.1 and
> seems to have the same signature as loaddefs-generate.  Any reason to
> prefer the latter?

make-directory-autoloads is in autoloads.el which has been moved to a
directory named "obsolete" but the function itself hasn't been marked
obsolete.  I'm not really sure what that means but it looks like all the
autoloads stuff is being deprecated in favor of the newer loaddef stuff